eoMonOp(3)

NAME
eoMonOp - eoMonOp is the monary operator: genetic operator that takes only one EO.

SYNOPSIS

#include <eoOp.h>

Inherits eoOp< EOType >< EOType >, and eoUF< EOType &, bool >.

  Public Member Functions
eoMonOp ()
Ctor.
virtual std::string className () const

Detailed Description

  template<class EOType> class eoMonOp< EOType >
eoMonOp is the monary operator: genetic operator that takes only one EO. When defining your own, make sure that you return a boolean value indicating that you have changed the content.

Definition at line 101 of file eoOp.h.

Author

Generated automatically by Doxygen for EO from the source code.